Package org.eclipse.lemminx.client

## Class ClientCommands

- java.lang.Object
- - org.eclipse.lemminx.client.ClientCommands

    public class ClientCommands
    extends Object

Commonly used client commands

Author:
  Angelo ZERR

### Field Summary

Fields
`static String` `OPEN_BINDING_WIZARD` Open the binding wizard to bind the XML to a grammar/schema.
`static String` `OPEN_SETTINGS` Open settings command.
`static String` `OPEN_URI` Client command to open URI
`static String` `SHOW_REFERENCES` Show references
`static String` `UPDATE_CONFIGURATION` Update configuration

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SHOW_REFERENCES

    public static final String SHOW_REFERENCES

Show references

See Also:
  Constant Field Values

#### OPEN_SETTINGS

    public static final String OPEN_SETTINGS

Open settings command. This custom command is sent to the client in order to have the client open its settings UI.

See Also:
  Constant Field Values

#### OPEN_BINDING_WIZARD

    public static final String OPEN_BINDING_WIZARD

Open the binding wizard to bind the XML to a grammar/schema.

See Also:
  Constant Field Values

#### OPEN_URI

    public static final String OPEN_URI

Client command to open URI

See Also:
  Constant Field Values

#### UPDATE_CONFIGURATION

    public static final String UPDATE_CONFIGURATION

Update configuration

See Also:
  Constant Field Values